import * as kendo from "@progress/kendo-ui/js/kendo.grid.js";
import { View } from "../../../framework/View";
import { ViewModelOptions, ViewModel } from "../../../framework/ViewModel";
import { ObservableArrayProperty, ObservableProperty } from "../../../framework/observable";
import { ChangedItem } from "../DataSource/DataSource";
export interface GridViewModelOptions extends ViewModelOptions {
    items?: Array<any> | ObservableArrayProperty<any>;
    idProperty?: string;
    columns?: Array<kendo.ui.GridColumn>;
    pageSize?: number;
    sortable?: boolean | kendo.ui.GridSortable;
    scrollable?: kendo.ui.GridScrollable;
    editable?: kendo.ui.GridEditable;
    filterable?: boolean | kendo.ui.GridFilterable;
    toolbar?: string | Array<string>;
    selectable?: boolean | string;
    selectedItem?: Array<any> | ObservableProperty<any>;
    selectedItems?: Array<any> | ObservableArrayProperty<any>;
    onItemChange?: (items: Array<ChangedItem>, dataSource: kendo.data.DataSource) => void;
    onAdd?: (items: Array<ChangedItem>, dataSource: kendo.data.DataSource) => void;
    onRemove?: (items: Array<ChangedItem>, dataSource: kendo.data.DataSource) => void;
}
export declare class GridViewModel extends ViewModel implements GridViewModelOptions {
    constructor(options: GridViewModelOptions);
    readonly items: ObservableArrayProperty<any>;
    readonly idProperty: string;
    readonly columns: Array<kendo.ui.GridColumn>;
    readonly pageSize: number;
    readonly sortable: boolean | kendo.ui.GridSortable;
    readonly scrollable: kendo.ui.GridScrollable;
    readonly editable: kendo.ui.GridEditable;
    readonly filterable: boolean | kendo.ui.GridFilterable;
    readonly toolbar: string | Array<string>;
    readonly selectable: boolean | string;
    readonly selectedItem?: ObservableProperty<any>;
    readonly selectedItems?: ObservableArrayProperty<any>;
    readonly onItemChange?: (items: Array<ChangedItem>, dataSource: kendo.data.DataSource) => void;
    readonly onAdd?: (items: Array<ChangedItem>, dataSource: kendo.data.DataSource) => void;
    readonly onRemove?: (items: Array<ChangedItem>, dataSource: kendo.data.DataSource) => void;
    selectItem(index?: number): void;
}
export declare class GridView extends View<GridViewModelOptions> {
    constructor(viewModel: GridViewModelOptions, designTimeOptions?: ViewModelOptions);
    private grid;
    private dataSource;
    private getItemById;
    build(): void;
}
export declare function getSelectedDataItem<TDataItem>(grid: kendo.ui.Grid): TDataItem;
export declare function getSelectedDataItems(grid: kendo.ui.Grid): object[];
