import * as leaflet from "leaflet";
import { getView } from "../../framework/View";
import { ViewModel } from "../../framework/ViewModel";
export class LeafletLabelControl extends leaflet.Control {
    constructor(options) {
        super(options);
        this.content = options.content;
    }
    content;
    onAdd(map) {
        const div = document.createElement("div");
        let view;
        if (this.content instanceof ViewModel) {
            view = getView(this.content);
            if (view) {
                div.appendChild(view.render());
            }
        }
        else if (typeof this.content === "string") {
            div.innerText = this.content;
        }
        else {
            view = this.content;
            if (view.render) {
                div.appendChild(view.render());
            }
        }
        return div;
    }
}
//# sourceMappingURL=LabelControl.js.map