import { unwrap } from "knockout";
import { ViewModel, extendViewModel } from "../../../framework/ViewModel";
import { observableProperty } from "../../../framework/observable";
import { View, getView, registerView } from "../../../framework/View";
export class ContentViewModel extends ViewModel {
    constructor(options) {
        super(options);
        options = options || {};
        this.content = observableProperty(options.content);
    }
    content;
    handleWebSocketMessage = (message) => {
        const content = this.content();
        if (content.handleWebSocketMessage) {
            content.handleWebSocketMessage(message);
        }
    };
}
export class ContentView extends View {
    constructor(viewModel, designTimeOptions) {
        super({
            tagName: "div",
            viewModel: viewModel
        }, extendViewModel({
            viewType: "Content"
        }, designTimeOptions));
    }
    build() {
        super.build();
        this.setContent(unwrap(this.viewModel.content));
        this.viewModel.content.subscribe((content) => {
            this.setContent(content);
        });
    }
    setContent(content) {
        if (content) {
            this.setChildren(getView(content));
        }
        else {
            this.empty();
        }
    }
}
registerView(ContentViewModel, ContentView);
//# sourceMappingURL=Content.js.map