import { View } from "../../../framework/View";
import { ViewModel, ViewModelOptions } from "../../../framework/ViewModel";
export interface ListItemViewModelOptions extends ViewModelOptions {
    id: number | string;
    text?: string | ViewModel;
    select?: () => void;
    order?: number | string;
}
export declare class ListItemViewModel extends ViewModel implements ListItemViewModelOptions {
    constructor(options: ListItemViewModelOptions);
    readonly id: number | string;
    text: string | ViewModel;
    readonly select: () => void;
    order: number | string;
}
export interface HierarchicalListItemViewModelOptions extends ListItemViewModelOptions {
    parentId?: number | string;
    expanded?: boolean;
}
export declare class HierarchicalListItemViewModel extends ListItemViewModel implements HierarchicalListItemViewModelOptions {
    constructor(options: HierarchicalListItemViewModelOptions);
    readonly parentId: number | string;
    readonly expanded: boolean;
    items: Array<HierarchicalListItemViewModel>;
}
export declare class ListItemView extends View<ListItemViewModel> {
    constructor(viewModel: ListItemViewModel);
    build(): void;
    private setContent;
}
