import * as toastr from "toastr";
import { extend } from "jquery";
toastr.options.closeButton = true;
toastr.options.positionClass = "toast-bottom-full-width";
toastr.options.hideDuration = 1000;
toastr.options.timeOut = 6000;
toastr.options.extendedTimeOut = 2000;
toastr.options.progressBar = true;
const defaults = {
    title: "",
    message: "no message provided",
    data: "",
    showToast: true,
    type: "info"
};
function show(options) {
    let extendedOptions = extend({}, defaults);
    if (options) {
        extendedOptions = extend(extendedOptions, options);
    }
    console.log("Notification " + extendedOptions.type + ": " + extendedOptions.message + " " + extendedOptions.data + " ");
    if (extendedOptions.showToast) {
        if (options.timeOut) {
            toastr[extendedOptions.type](extendedOptions.message, extendedOptions.title, { timeOut: options.timeOut });
        }
        else {
            toastr[extendedOptions.type](extendedOptions.message, extendedOptions.title);
        }
    }
}
export function showError(error, title, autoHideAfter) {
    show({
        title: title,
        message: error,
        type: "error",
        showToast: true,
        timeOut: autoHideAfter
    });
}
export function showInfo(info, title, autoHideAfter) {
    show({
        title: title,
        message: info,
        type: "info",
        showToast: true,
        timeOut: autoHideAfter
    });
}
export function showSuccess(success, title, autoHideAfter) {
    show({
        title: title,
        message: success,
        type: "success",
        showToast: true,
        timeOut: autoHideAfter
    });
}
export function showWarning(warning, title, autoHideAfter) {
    show({
        title: title,
        message: warning,
        type: "warning",
        showToast: true,
        timeOut: autoHideAfter
    });
}
//# sourceMappingURL=notification.js.map