const reopenDelay = 10000;
var webSocket;
var webSocketProtocol;
if (location.protocol === "http:") {
    webSocketProtocol = "ws";
}
else {
    webSocketProtocol = "wss";
}
document.addEventListener("visibilitychange", () => {
    if (document.visibilityState === 'visible') {
        if (!webSocket || webSocket.readyState === WebSocket.CLOSED) {
            open();
        }
    }
});
var webSocketUrl;
var onMessageHandler;
function open() {
    webSocket = new WebSocket(webSocketProtocol + "://" + location.host + "/" + webSocketUrl);
    webSocket.onopen = () => {
        console.log("Websocket opened");
    };
    webSocket.onclose = () => {
        console.log("Websocket closed");
        webSocket = null;
        setTimeout(() => {
            open();
        }, reopenDelay);
    };
    webSocket.onerror = (error) => {
        try {
            console.log("Websocket error" + JSON.stringify(error));
            webSocket.close();
            webSocket = null;
            setTimeout(() => {
                open();
            }, reopenDelay);
        }
        catch (e) {
        }
    };
    webSocket.onmessage = (messageEvent) => {
        var webSocketMessage = JSON.parse(messageEvent.data);
        onMessageHandler(webSocketMessage);
    };
}
export function openWebSocket(url, handler) {
    webSocketUrl = url,
        onMessageHandler = handler;
    open();
}
//# sourceMappingURL=webSocket.js.map